#ifndef MLLINREG_H
#define MLLINREG_H
#include "MLAnalyzer.h"

constexpr int SECONDS_IN_WEEK = 7*24*60*60;

class MLLinReg: public MLAnalyzer
{
private:
    Eigen::MatrixXd Theta;
    void normalEquation();
    bool first = true;

    long t0 = 0;
    float criticalResidualCurrent;
    int criticalTimeRangeSec;
public:
    MLLinReg(CappedStorage*);
    MLAlert updateModel() override;
    bool checkCritical();
};

#endif // MLLINREG_H
