#include "PublisherBenderRcm.h"
#include "SystemConfig.h"

PublisherBenderRcm::PublisherBenderRcm() : PublisherInterface(PublisherType::RCMS_BENDER)
{
    connection = std::make_unique<ModbusRTU>(SystemConfig::getIntConfigParameter("modbus_rtu_slave_address"),
                                             SystemConfig::getStringConfigParameter("modbus_rtu_device"),
                                             SystemConfig::getIntConfigParameter("modbus_rtu_baud"),
                                             SystemConfig::getStringConfigParameter("modbus_rtu_pairity").at(0),
                                             SystemConfig::getIntConfigParameter("modbus_rtu_stop_bits"));

    modbusData = std::make_unique<ModbusDataBender>(this->id);
}

std::string PublisherBenderRcm::getName() const
{
    std::stringstream name;
	name << "RCM - Bender (ID: " << id << ")";
	return name.str();
}
