#include "PublisherPowercenter.h"
#include <easylogging++.h>


PublisherPowercenter::PublisherPowercenter() : PublisherInterface(PublisherType::POWERCENTER)
{
    connection = std::make_unique<ModbusTCP>(SystemConfig::getIntConfigParameter("modbus_tcp_slave_address"),
                                             SystemConfig::getStringConfigParameter("modbus_poc_ip"),
                                             SystemConfig::getIntConfigParameter("modbus_poc_port"));

	modbusData = std::make_unique<ModbusDataPOC>(this->id);
}

PublisherPowercenter::~PublisherPowercenter() {
	//modbus->disconnect();
}




std::string PublisherPowercenter::getName() const
{
	std::stringstream name;
	name << "Powercenter - Siemens (ID: " << id << ")";
	return name.str();
}
